<?php
require ('authentication_manager.php');
?>
<?php


  @ require ('inc/function/read_file.php');

$f = @file_get_contents('v.txt');
$v = '1.0';
if ($f && preg_match('/\$v\s*\=\s*\'(.*)\';/iU', $f, $matches)) {
  $v = base64_decode($matches[1]);
  if (preg_match('/\/\//', $f, $matches)) {
    $v .= 's';
    $vv = '提示：以下为商业授权版本配套的增值功能，您已购买，以表对作者辛苦的支持。谢谢！';
  } else {
    $zz = '但可购买增值（商业版）功能。';
    $vv = '提示：以下为免费开源版本配套的增值功能，如需要，请<a href="http://wpa.qq.com/msgrd?v=3&amp;uin=184830962&amp;site=qq&amp;menu=yes" target="_blank">联系官方</a>购买，以表对作者辛苦的支持。谢谢！';
  }
}

?>
<div class="column">提示：如果你使用的版本小于官方版本，请到<a href="http://download.162100.com" target="_blank">程序官方</a>下载升级包进行升级。</div>
<div class="text">

<div>当前版本：<?php echo $v; ?></div>

<?php
$f_162100 = read_file('http://www.162100.com/info/v.txt');
$v_162100 = '未知';
if ($f_162100 && preg_match('/\$v\s*\=\s*\'(.*)\';/iU', $f_162100, $matches_162100)) {
  $v_162100 = base64_decode($matches_162100[1]).'s';
}

?>
<div>官方版本：<?php echo $v_162100; ?></div>
<div>升级动作：<?php

if ($v_162100 == '未知') {
  echo '官方版本获取失败！<a href="javascript:void(0)" onclick="window.location.reload();">重新获取</a>或点此<a href="http://download.162100.com" target="_blank">到官方查看</a>。';
} else {
  $v_162100_ = abs(preg_replace('/[^\d]+/', '', $v_162100));
  $v_        = abs(preg_replace('/[^\d]+/', '', $v));
  $len = strlen($v_162100_) >= strlen($v_) ? strlen($v_162100_) : strlen($v_);
  $v_162100_ = str_pad($v_162100_, $len, 0);
  $v_        = str_pad($v_, $len, 0);

  if ($v_162100_ > $v_ || $zz != '') {
    echo '请立即升级！点此<a href="http://download.162100.com" target="_blank">下载官方升级包（或程序包）</a>，然后进行升级。';
  } else {
    echo '不必升级。'.@$zz.'';
  }
}

?></div>
</div>

<div class="text">
<div class="column"><?php echo $vv; ?></div>
<div><b>授权使用：</b></div>
<blockquote>
去除版权文字，可取消页头标题及页脚处标注的版权信息文字，并优先获得售后服务和升级。
</blockquote>


<div><b>开启成员等级分兑换货币值功能：</b></div>
<blockquote>
  免费版本中，此项功能被禁用，授权版本中，用户可用自身获得的等级分转换货币值，以用于帖子刷新、置顶、购买主题加色和首页图文展示等。
</blockquote>

<div><b>SEO加强：</b></div>
<blockquote>免费版本中，栏目分类添加SEO关键词（keywords）、和网页描述（description）被禁用；而授权版本此项功能开启，此项功能有利于SEO，有利于提高各大搜索引擎收录网页机率。</blockquote>

<div><b>管理员群发邮件：</b></div>
<blockquote>免费版本中，此项功能被禁用，授权版本中，此项功能开启。</blockquote>

<div><b>网页缓存加速：</b></div>
<blockquote>
  将网页缓存在客户端，使网页素件缓存于客户端，使网页载入速度大大加速。
</blockquote>

<div><b>网页压缩加速：</b></div>
<blockquote>
开启Gzip网页压缩技术，将较大的网页尺寸合理压缩，使网页载入速度大大加速。
</blockquote>

<div><b>更多登录接口：</b></div>
<blockquote>
免费版本中除QQ接口、新浪微博接口外，如可再安装百度、谷歌、人人接口等绑定你的登录。
</blockquote>

<div><b>其它更多：</b></div>
<blockquote>
其它更多细节及时售后。
</blockquote>


</div>
